#ifndef PERMISSIONSET_H_
#define PERMISSIONSET_H_

#include "gType.h" 
#include "GraphLow.h"
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "TEdit.h"

class TPermissionSet{
	public:
		int FocusIndex;
	
		TRect Bound;
		TRect BoundCaption;
		TRect Content;
	
		TRect BoxBound;
	
		unsigned char eValue[8];
	
	public:
		TPermissionSet(){};
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
		void ChangeWg();
		void DrawWidget();
		void ReDrawItems();
		void DrawSelf();
		void DrawBox(void);
		void Show();
			
		void LoadSysCfg();
			
		TGuiMsgReturn KeyIn(unsigned char aKey);
			
		int ExtRequst(unsigned char Prm){return 0;}
};































#endif
